import request from '@/utils/request'

// 查询行业动态列表
export function listDynamic(query) {
  return request({
    url: '/drivingSchool/system/dynamic/list',
    method: 'get',
    params: query
  })
}

// 查询行业动态详细
export function getDynamic(id) {
  return request({
    url: '/drivingSchool/system/dynamic/' + id,
    method: 'get'
  })
}

// 新增行业动态
export function addDynamic(data) {
  return request({
    url: '/drivingSchool/system/dynamic',
    method: 'post',
    data: data
  })
}

// 修改行业动态
export function updateDynamic(data) {
  return request({
    url: '/drivingSchool/system/dynamic',
    method: 'put',
    data: data
  })
}

// 删除行业动态
export function delDynamic(id) {
  return request({
    url: '/drivingSchool/system/dynamic/' + id,
    method: 'delete'
  })
}
